package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.SawfAcciMapper;
import com.goldenwater.slaj.acci.domain.SawfAcci;
import com.goldenwater.slaj.acci.service.ISawfAcciService;

/**
 * 事故共享信息 服务层实现
 */
@Service
public class SawfAcciServiceImpl implements ISawfAcciService {

    @Autowired
    private SawfAcciMapper sawfAcciMapper;

    /**
     * 查询事故共享信息
     * @param guid 查询条件
     * @return 事故共享信息
     */
    @Override
    public SawfAcci selectSawfAcciByGuid(String guid) {
        return sawfAcciMapper.selectSawfAcciByGuid(guid);
    }

    /**
     * 查询事故共享信息列表
     * @param sawfAcci 事故共享信息查询条件
     * @return 事故共享信息集合
     */
    @Override
    public List<SawfAcci> selectSawfAcciList(SawfAcci sawfAcci) {
        return sawfAcciMapper.selectSawfAcciList(sawfAcci);
    }

    /**
     * 新增事故共享信息
     * @param sawfAcci 事故共享信息
     * @return 影响行数
     */
    @Override
    public int insertSawfAcci(SawfAcci sawfAcci) {
        return sawfAcciMapper.insertSawfAcci(sawfAcci);
    }

    /**
     * 修改事故共享信息
     * @param sawfAcci 事故共享信息
     * @return 影响行数
     */
    @Override
    public int updateSawfAcci(SawfAcci sawfAcci) {
        return sawfAcciMapper.updateSawfAcci(sawfAcci);
    }

    /**
     * 删除事故共享信息
     * @param guid 事故共享信息主键
     * @return 影响行数
     */
    @Override
    public int deleteSawfAcciByGuid(String guid) {
        return sawfAcciMapper.deleteSawfAcciByGuid(guid);
    }

    /**
     * 批量删除事故共享信息
     * @param guids 事故共享信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteSawfAcciByGuids(String[] guids) {
        return sawfAcciMapper.deleteSawfAcciByGuids(guids);
    }
}
